Solved Problems with the .NET framework

August 22, 2011 at 12:27:16
Specs: Windows 7, AMD Phenom II X4 955 / 6GB
Whenever I try to open CCC, I get an error message -

Could not load file or assembly 'sortkey.nlp' or one of its dependancies. The system cannot find the file specified.

In addition to CCC not working, Bastion will not start at all - while it doesn't give me a useful error message (just the standard "Bastion has stopped working"), given that the .NET framework was a required install for the game I'm assuming this is the issue with it as well.

I read a bit online and found sortkey.nlp is part of the Microsoft .NET
framework. I assumed it would be a simple case of repairing the install,
but that did nothing. I reinstalled twice, first just using add/remove
programs to uninstall and then using a .NET cleanup tool to do so.
Neither of the reinstalls worked.

From what I remember (although it had been happening for a few weeks, I ignored it. I hadn't noticed that CCC was not working, as the error only seemed to come up when I turned on the computer. Turns out I just don't use CCC often.) this started happening when I tried to download
the SP1 update for W7. It downloaded and installed, but broke (and this
is where the memory really starts to fade and I don't remember specifics) a couple of programs. I did a
system restore to before the point that SP1 was installed. Since then
there has been the issue I've described.Anyone know of any fixes
for this? I haven't spent ages searching online, but there doesn't seem
to be a whole lot other than the repair/reinstall option.

(I was looking for a fix for the .NET framework, but would it be a bad idea to reinstall SP1 and see what it breaks? Unfortunately as I don't remember I can't check specifics beforehand, but I could simply update and see if it breaks anything absolutely crucial.)


See More: Problems with the .NET framework

Report •

#1
August 22, 2011 at 12:30:44
✔ Best Answer
There are multiple versions of .net framework. You need to have the correct version installed and updated. They are NOT cumulative. Look at the link below. Also are 64 bit versions.

No version of net framwork is required for Windows to run properly.

http://social.technet.microsoft.com...


Report •

#2
August 22, 2011 at 12:33:49
I read on another forum that installing the .NET framework 2.0 will fix the issue with CCC. Just to clarify, what you're saying is I can install both the 2.0 and the newer versions (3.5 is required for Bastion) and they won't conflict at all?

Report •

#3
August 22, 2011 at 13:57:10
You can install as many versions as required for the programs you are using without conflict.

Report •
Related Solutions


Ask Question